> ## Documentation Index
> Fetch the complete documentation index at: https://mitchsorg.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Account

> This endpoint creates an account for the specified user.

Endpoint: https://cashboard-f5x2.onrender.com/account/add

Query Parameter: User UUID

The request body is a JSON object that includes:

- name(string) - the name of the account
- desc(string) - a short description of the account
- currentAmount(number) - the account's balance
    

The response body is a JSON object that includes an array of all the user's accounts. Each account includes:

- name(string) - the name of the account
- desc(string) - a short description of the account
- currentAmount(number) - the account's balance
- _id(string) - the unique identifier for the account



## OpenAPI

````yaml post /account/add
openapi: 3.0.0
info:
  title: Cashboard API
  description: >-
    Cashboard is a personal finance tool that helps users keep track of their
    income, expenses, savings and investments.


    API URL: `https://cashboard-f5x2.onrender.com`


    The Cashboard API has endpoints for:


    - Users

    - Accounts

    - Income

    - Expenses

    - Savings

    - Investments
  version: 1.0.0
servers:
  - url: https://cashboard-f5x2.onrender.com
security: []
tags:
  - name: User
    description: |-
      Cashboard uses the users endpoint to:

      - create a new user
      - get a user details
      - update user details
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/user`
  - name: Account
    description: |-
      These endpoints are used to:

      - create account
      - get all user's accounts
      - get account
      - update accounts
      - delete accounts.
          

      The endpoint URL is: `https://cashboard-f5x2.onrender.com/account`
  - name: Income
    description: |-
      These endpoints are used to:

      - create an income source
      - get all income source
      - get an income source
      - update income source
      - delete income source
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/income`
  - name: Expenses
    description: |-
      These endpoints are used to:

      - create an expense
      - get all expenses
      - get an expense
      - update an expense
      - delete an expense
          

      The endpoint URL is: `https://cashboard-f5x2.onrender.com/expenses`
  - name: Savings
    description: |-
      These endpoints are used to:

      - create a saving
      - get all savings
      - get a saving
      - update a saving
      - delete a saving
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/savings`
  - name: Investments
    description: |-
      These endpoints are used to:

      - create an investment
          
      - get all investments
          
      - get an investment
          
      - update an investment
          
      - delete an investment
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/investments`
paths:
  /account/add:
    post:
      tags:
        - Account
      summary: Create an Account
      description: >-
        This endpoint creates an account for the specified user.


        Endpoint: https://cashboard-f5x2.onrender.com/account/add


        Query Parameter: User UUID


        The request body is a JSON object that includes:


        - name(string) - the name of the account

        - desc(string) - a short description of the account

        - currentAmount(number) - the account's balance
            

        The response body is a JSON object that includes an array of all the
        user's accounts. Each account includes:


        - name(string) - the name of the account

        - desc(string) - a short description of the account

        - currentAmount(number) - the account's balance

        - _id(string) - the unique identifier for the account
      parameters:
        - name: user
          in: query
          schema:
            type: string
          description: required
          example: '{{uuid}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: KCB Account
                desc: My checking account
                currentAmount: 150000
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Mon, 29 Apr 2024 15:41:19 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            CF-Ray:
              schema:
                type: string
                example: 87c0653edf1d8242-IAD
            CF-Cache-Status:
              schema:
                type: string
                example: DYNAMIC
            ETag:
              schema:
                type: string
                example: W/"7a-FJ5RBZQHH4OFKqcfnE5/Qyx+ME0"
            Vary:
              schema:
                type: string
                example: Origin, Accept-Encoding
            rndr-id:
              schema:
                type: string
                example: 41acb5e1-6542-4d2c
            x-powered-by:
              schema:
                type: string
                example: Express
            x-render-origin-server:
              schema:
                type: string
                example: Render
            Server:
              schema:
                type: string
                example: cloudflare
            Content-Encoding:
              schema:
                type: string
                example: br
            alt-svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
              example:
                accounts:
                  - name: KCB Account
                    desc: My checking account
                    currentAmount: 150000
                    _id: 662fbf9eac827e370c18d4b9

````